apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: dex-test
  namespace: openshift-gitops
spec:
  destination:
    namespace: dex-test
    server: https://kubernetes.default.svc
  project: default
  source:
    path: kustomize/overlays/test
    repoURL: https://gitlab.com/arbetsformedlingen/devops/dex-infra.git
    targetRevision: main
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
    - CreateNamespace=false
